#ifndef MATRIXCODING_HAAR_2STAGE_H
#define MATRIXCODING_HAAR_2STAGE_H

#include "list.h"
#include "psf.h"

struct bandinfo {
  float *scaling_factors; 
  int a_size; 
  int *h_size; 
  int *v_size; 
  int *d_size; 
  int num_levels;
};


void MatrixCoding(LIST **listmatrix, struct parameter para, float delta, 
		  int num_levels, int block_num_levels, int height, int width, 
		  int block_size, struct bandinfo band_data);

void MatrixCoding_stage1(LIST **listmatrix, struct parameter para, float delta, 
		         int num_levels, int block_num_levels, int height, int width, 
		         int block_size, struct bandinfo band_data);

#endif
