#ifndef PSF_H
#define PSF_H

#include "power.h"

struct parameter {
  float a;
  float b;
  float f;
  float g;
};

typedef struct parameter PARAMETER;

float computepsf(PARAMETER para, struct power_LUT *powertable, 
		 float x0, float y0, float x, float y, float pixel_size);

void RigoConv(struct parameter para, struct power_LUT * powertable,  
              int height, int width, float **img1, float *img2, 
	      int *imgentry, int imgnonzero, float pixel_size);


#endif
