#include "sparselink.h"

void addmatrixentry (MLIST* linklistPTR, short int column_j, short int row_i, 
               short int row_j, float value)
{
  MENTRY* ptr;
  ptr = malloc(sizeof(MENTRY));
  ptr->column_j = column_j;
  ptr->row_i = row_i;
  ptr->row_j = row_j;
  ptr->pixel_val = value;
  ptr->link = NULL;

    if (linklistPTR->head != NULL) {
      linklistPTR->tail->link = ptr;
      linklistPTR->tail = ptr;
    }
    else {
      linklistPTR->head = ptr;
      linklistPTR->tail = ptr;
    }
    linklistPTR->num_pix = linklistPTR->num_pix+1;
}

void clearmatrixlist (MLIST* linklistPTR) 
{
  MENTRY* ptr;
  while (linklistPTR->head != NULL) {
    ptr = linklistPTR->head->link;
    free(linklistPTR->head);
    linklistPTR->head = ptr;
  }
  linklistPTR->num_pix = 0;
  linklistPTR->tail = NULL;
}


