#ifndef SPACEVARYINGCONV_H
#define SPACEVARYINGCONV_H

#include "list.h"

void new_haar_transform(float **data, int levels, int start, 
                        int **band_size, int **band_pos, float **wave_coef);

void SpaceVaryingTransform(float **input_img, int height, int width, 
                           LIST **listmatrix, int height_padded, 
			   int width_padded, int block_size, 
			   int block_num_levels, float *scaling_factors, 
			   int num_levels, float **output_img, 
			   int num_of_stages);



#endif
