#ifndef SPARSELINK_H
#define SPARSELINK_H

#include <stdlib.h>

struct matrix_entry{
  short int column_j; /* nonzero entry location in column direction */
  short int row_i; /* nonzero entry location in row direction */
  short int row_j; 
  float pixel_val;
  struct matrix_entry *link;
};

typedef struct matrix_entry MENTRY;

struct matrix_list{
    MENTRY* head;
    MENTRY* tail;
    unsigned int num_pix;
};

typedef struct matrix_list MLIST;
void addmatrixentry (MLIST* linklistPTR, short int column_j, short int row_i, 
               short int row_j, float value);
void clearmatrixlist (MLIST* linklistPTR);


#endif


